{ config, lib, pkgs, ... }:

{
  config = {
    programs = {
      noisetorch.enable = true;
    };
    services = {
      pipewire = {
        enable = true;
        alsa.enable = true;
        pulse.enable = true;
        jack.enable = true;
      };
    };
    home-manager.users.jade = { pkgs, ... }: {
      home.packages = with pkgs; [
        pavucontrol 
        pulseaudioFull 
        easyeffects 
        cava 
        pa_applet 
        playerctl
      ];
      xsession.windowManager.i3.config.startup = [
        { 
          command = "pkill pa_applet; pa_applet"; 
          always = true; 
        }
      ];
    };
  };
}
